> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/engines-health-checks-list.md).

# engines health-checks list

## Synposis

```shell
omics workbench engine healthcheck list 
    [--engine=ENGINE_ID] 
    [--outcome=OUTCOME] 
    [--check-type=CHECK] 
    [--max-results=NUMBER]
```

## Description

List the health checks of a specific engine. The engine is identified by its `ENGINE_ID`. The health checks can be filtered by their outcome or check type.

## Examples

List the health checks of a specific engine

```shell
omics workbench engine healthcheck list --engine my-engine-id
```

List the health checks of an engine with a specific outcome

```shell
omics workbench engine healthcheck list --engine my-engine-id --outcome FAILURE
```

List the health checks of an engine with a specific check type

```shell
omics workbench engine healthcheck list --engine my-engine-id --check-type CONNECTIVITY
```

## Flags

### `--engine`=`ENGINE_ID`

**Note**: The `--engine` flag is required and specifies the engine whose health checks should be listed.

### `--outcome`=`OUTCOME`

Specify the health outcomes you want listed.

Valid outcomes: `SUCCESS`, `FAILRUE`

### `--check-type`=`CHECKTYPE`

Specify the kind of check you want listed.

Valid check types: `CONNECTIVITY`, `CREDENTIALS`, `PERMISSIONS`, `STORAGE`, `LOGS`

### `--max-results`=`NUMBER`

Limit the maximum number of results printed to the console.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/engines-health-checks-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
